1. sort list
2. create new list ${List_Duplicate}
3. count list
4. create variable ${count_Duplicate} = 0
5. For loop to count list
6. Exit For Loop IF ${count_Duplicate} = 2 
7. Run Keyword and Return Status Should Be Equal list[i] = list[i+1]
8. if status = true then ${count_Duplicate} = ${count_Duplicate} + 1 and apend data to list ${List_Duplicate}